Polls

Best Build 21 Screenshot

Log in to vote!

Latest Posts

Topic: fail to compile amazon on Ubuntu18.04

ektor
Avatar
Joined: 2016-06-16, 09:41
Posts: 79
Ranking
Likes to be here
Posted at: 2020-06-27, 11:03

I have again the same problem with this version of amazon :

https://github.com/widelands/widelands/archive/75189d8c2182065599fa0f72ee56737f4f644ed6.zip

I'm not able to compile.

Here are the result of

CMakeError.log: https://framabin.org/p/?6e7364371d236073#qWE0akH79M/vrF+DPF72V/g6lHvCHfC6i2h/ZAksFi4=

and CMakeOutput.log: https://framabin.org/p/?2438bf7b34f41e96#1ipnPIhBXqmiEDTwKg4jM6NmL4aE9RgFtRZDNiOzIns=

Please, help face-smile.png


Top Quote
WorldSavior
Avatar
Joined: 2016-10-15, 04:10
Posts: 1728
Ranking
One Elder of Players
Location: North of Germany
Posted at: 2020-06-27, 11:22

ektor wrote:

I have again the same problem with this version of amazon :

https://github.com/widelands/widelands/archive/75189d8c2182065599fa0f72ee56737f4f644ed6.zip

I'm not able to compile.

Here are the result of

CMakeError.log: https://framabin.org/p/?6e7364371d236073#qWE0akH79M/vrF+DPF72V/g6lHvCHfC6i2h/ZAksFi4=

and CMakeOutput.log: https://framabin.org/p/?2438bf7b34f41e96#1ipnPIhBXqmiEDTwKg4jM6NmL4aE9RgFtRZDNiOzIns=

Please, help face-smile.png

Before taking a look at the logs, some simple checks might be done before:

Did you install all needed packages "for a current development build"?


sudo apt install git cmake g++ gcc gettext libboost-dev libboost-regex-dev libboost-system-dev libboost-test-dev libglew-dev libpng-dev libsdl2-dev libsdl2-image-dev libsdl2-mixer-dev libsdl2-ttf-dev python zlib1g-dev

Are you sure that you have been in the right directory?

And did you use "compile.sh -r" instead of just "compile.sh"?


Top Quote
Nordfriese
Avatar
Joined: 2017-01-17, 18:07
Posts: 934
Ranking
One Elder of Players
Location: 0x55555d3a34c0
Posted at: 2020-06-27, 11:28

According to the logs, ld fails to find the linker flag -lpthreads. So a broken package installation would be my first guess too. Perhaps this also helps: https://stackoverflow.com/questions/31948521/building-error-using-cmake-cannot-find-lpthreads


Top Quote
ektor
Avatar
Joined: 2016-06-16, 09:41
Posts: 79
Ranking
Likes to be here
Posted at: 2020-06-27, 14:34

WorldSavior wrote:

ektor wrote:

I have again the same problem with this version of amazon :

https://github.com/widelands/widelands/archive/75189d8c2182065599fa0f72ee56737f4f644ed6.zip

I'm not able to compile.

Here are the result of

CMakeError.log: https://framabin.org/p/?6e7364371d236073#qWE0akH79M/vrF+DPF72V/g6lHvCHfC6i2h/ZAksFi4=

and CMakeOutput.log: https://framabin.org/p/?2438bf7b34f41e96#1ipnPIhBXqmiEDTwKg4jM6NmL4aE9RgFtRZDNiOzIns=

Please, help face-smile.png

Before taking a look at the logs, some simple checks might be done before:

Did you install all needed packages "for a current development build"?

~~~~

sudo apt install git cmake g++ gcc gettext libboost-dev libboost-regex-dev libboost-system-dev libboost-test-dev libglew-dev libpng-dev libsdl2-dev libsdl2-image-dev libsdl2-mixer-dev libsdl2-ttf-dev python zlib1g-dev

~~~~

Are you sure that you have been in the right directory?

And did you use "compile.sh -r" instead of just "compile.sh"?

OK, you're right, I don't install all needed packages "for a current development build"...

Well, I'm confuse and thanks a lot !


Top Quote
WorldSavior
Avatar
Joined: 2016-10-15, 04:10
Posts: 1728
Ranking
One Elder of Players
Location: North of Germany
Posted at: 2020-06-27, 15:04

ektor wrote:

WorldSavior wrote:

ektor wrote:

I have again the same problem with this version of amazon :

https://github.com/widelands/widelands/archive/75189d8c2182065599fa0f72ee56737f4f644ed6.zip

I'm not able to compile.

Here are the result of

CMakeError.log: https://framabin.org/p/?6e7364371d236073#qWE0akH79M/vrF+DPF72V/g6lHvCHfC6i2h/ZAksFi4=

and CMakeOutput.log: https://framabin.org/p/?2438bf7b34f41e96#1ipnPIhBXqmiEDTwKg4jM6NmL4aE9RgFtRZDNiOzIns=

Please, help face-smile.png

Before taking a look at the logs, some simple checks might be done before:

Did you install all needed packages "for a current development build"?

~~~~

sudo apt install git cmake g++ gcc gettext libboost-dev libboost-regex-dev libboost-system-dev libboost-test-dev libglew-dev libpng-dev libsdl2-dev libsdl2-image-dev libsdl2-mixer-dev libsdl2-ttf-dev python zlib1g-dev

~~~~

Are you sure that you have been in the right directory?

And did you use "compile.sh -r" instead of just "compile.sh"?

OK, you're right, I don't install all needed packages "for a current development build"...

Well, I'm confuse and thanks a lot !

You're welcome! The list seems to be updated once in a while, it's easy to forget a package. Does it work now?


Top Quote
ektor
Avatar
Joined: 2016-06-16, 09:41
Posts: 79
Ranking
Likes to be here
Posted at: 2020-06-27, 15:46

WorldSavior wrote:

You're welcome! The list seems to be updated once in a while, it's easy to forget a package. Does it work now?

Impec face-smile.png (perfectly in english)


Top Quote